import { getUserAccountSummary } from "$lib/server/accounting";
import { ensureUser } from "$lib/server/user";
import type { PageServerLoad } from "./$types";


export const load: PageServerLoad = async (event) => {
    const user = ensureUser(event);

    return {
        accountSummaries: await getUserAccountSummary(user.id),
    }
};